%global commit 69872baead53d8161f99cec1d9671cd3230fc555
%global shortcommit %(c=%{commit}; echo ${c:0:7})

Name:           cage
Version:        0~git.110.%{shortcommit}
Release:        1%{?dist}
Summary:        Wayland kiosk

License:        MIT
URL:            https://www.hjdskes.nl/projects/cage/
Source:         https://github.com/Hjdskes/cage/archive/%{commit}/%{name}-%{shortcommit}.tar.gz

BuildRequires:  meson
BuildRequires:  gcc
BuildRequires:  pkgconfig(wlroots) >= 0.5.0
BuildRequires:  pkgconfig(wayland-protocols) >= 1.14
BuildRequires:  pkgconfig(wayland-server)
BuildRequires:  pkgconfig(pixman-1)
BuildRequires:  pkgconfig(xkbcommon)

%description
Cage is a kiosk compositor for Wayland.
A kiosk is a window manager (in the X11 world)
or compositor (in the Wayland world)
that is designed for a user experience wherein user interaction
and activities outside the scope of the running application are prevented.
That is, a kiosk compositor runs a maximized application at a time
and prevents the user from interacting with anything but this application.

%prep
%autosetup -n %{name}-%{commit}

%build
%meson
%meson_build

%install
%meson_install

%files
%license LICENSE
%doc README.md
%{_bindir}/cage

%changelog
* Tue Apr 09 2019 Igor Gnatenko <ignatenkobrain@fedoraproject.org> - 0~git.110.69872ba-1
- Initial package
